"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cli = void 0;
var Help_1 = require("./Help");
var Cli = (function () {
    function Cli() {
        this.commands = {};
        this.add('help', Help_1.Help);
    }
    Cli.prototype.add = function (name, command) {
        this.commands[name] = command;
    };
    Cli.prototype.run = function () {
        var _a;
        var requestedCommandName = (_a = process.argv[2]) !== null && _a !== void 0 ? _a : 'help';
        var command;
        if (requestedCommandName === 'help') {
            command = new Help_1.Help();
            command.commands = this.commands;
        }
        else {
            command = new this.commands[requestedCommandName];
        }
        command.configure();
        return command.execute();
    };
    return Cli;
}());
exports.Cli = Cli;
